diff -Nurd -x*~ gpsdrive-2.08pre12.orig/configure.ac gpsdrive-2.08pre12/configure.ac
--- gpsdrive-2.08pre12.orig/configure.ac	Fri Feb  6 18:02:49 2004
+++ gpsdrive-2.08pre12/configure.ac	Wed Feb 18 02:40:22 2004
@@ -163,10 +163,11 @@
 AC_CHECK_HEADERS(sys/types.h sys/termios.h termio.h termios.h sys/stat.h fcntl.h stdio.h unistd.h  netdb.h X11/X.h linux/inet.h sys/ioctl.h)
 
 dnl ************************
-dnl crypt.h and libcrypt
+dnl friends.c wonders about crypt()
 dnl ************************
 AC_CHECK_HEADERS(crypt.h)
-AC_CHECK_LIB(crypt,crypt)
+AC_SEARCH_LIBS(crypt,crypt)
+AC_CHECK_FUNCS(crypt)
 
 dnl ************************
 dnl check dynamic loading flags
@@ -261,30 +262,9 @@
 
 
 dnl ************************
-dnl crypt.h and libcrypt
-dnl ************************
-AC_CHECK_HEADERS(crypt.h)
-AC_CHECK_LIB(crypt,crypt)
-
-dnl ************************
 dnl GNU getopt
 dnl ************************
 AC_CHECK_DECLS(getopt)
-
-dnl ************************
-dnl check dynamic loading flags
-dnl ************************
-AC_LTDL_DLLIB
-AC_LTDL_DLSYM_USCORE
-# putting this here gets the option enabled, but program segfaults
-# putting a non-conditional CFLAGS="$CFLAGS -Ddlsym..." early in
-# configure.ac works correctly, but putting the two AC_ and the
-# conditional CFLAGS= does not.
-#if test x"$libltdl_cv_need_uscore" = xyes; then
-#    AC_SUBST(DLSYM_CFLAGS,'-Ddlsym=dlsym_prepend_underscore') 
-#fi
-
-CFLAGS="$CFLAGS -Imysql"
 
 CFLAGS="$CFLAGS $OPT_CFLAGS"
 CXXFLAGS="$CXXFLAGS $OPT_CFLAGS"
diff -Nurd -x*~ gpsdrive-2.08pre12.orig/src/Makefile.am gpsdrive-2.08pre12/src/Makefile.am
--- gpsdrive-2.08pre12.orig/src/Makefile.am	Fri Feb  6 18:01:22 2004
+++ gpsdrive-2.08pre12/src/Makefile.am	Wed Feb 18 02:40:22 2004
@@ -2,8 +2,6 @@
 
 # DEFS=@DEFS@ -I. -I$(srcdir) -I.. -DLOCALEDIR=\"${localedir}\" -DDATADIR=\"${datadir}\" -DLIBDIR=\"${libdir}\" -DFRIENDSSERVERVERSION=\"${FRIENDSSERVERVERSION}\" ${NOGARMIN} ${NOPLUGINS} -DG_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED 
 
-includedir = mysql
-
 if DISABLEGARMIN
 PRG1=
 else 
diff -Nurd -x*~ gpsdrive-2.08pre12.orig/src/friends.c gpsdrive-2.08pre12/src/friends.c
--- gpsdrive-2.08pre12.orig/src/friends.c	Sun Feb  8 11:35:10 2004
+++ gpsdrive-2.08pre12/src/friends.c	Wed Feb 18 02:57:49 2004
@@ -435,7 +435,7 @@
 
       g_snprintf (buf2, sizeof (buf2), "$1$%08lx$", r);
       key = "havenocrypt";
-#ifdef HAVE_CRYPT_H
+#ifdef HAVE_CRYPT
       key = crypt ("fritz", buf2);
       g_strlcpy (friendsidstring, (key + 12), sizeof (friendsidstring));
 #else
@@ -443,7 +443,7 @@
       g_snprintf (friendsidstring, sizeof (friendsidstring), "nocrypt%015ld",
 		  labs (r));
 #endif
-      printf ("\nKey: %s,id: %s %d bytes, time: %ld\n", key,
+      printf ("\nKey: %s,id: %s %ld bytes, time: %ld\n", key,
 	      friendsidstring, strlen (friendsidstring), ti);
       needtosave = 1;
     }
diff -Nurd -x*~ gpsdrive-2.08pre12.orig/src/friendsd.c gpsdrive-2.08pre12/src/friendsd.c
--- gpsdrive-2.08pre12.orig/src/friendsd.c	Sun Feb  8 12:16:25 2004
+++ gpsdrive-2.08pre12/src/friendsd.c	Wed Feb 18 03:16:06 2004
@@ -446,7 +446,7 @@
   g_snprintf (friendsidstring, sizeof (friendsidstring), "nocrypt%015ld",
 	      labs (r));
 #endif
-  printf ("\nKey: %s,id: %s %d bytes, time: %ld\n", key,
+  printf ("\nKey: %s,id: %s %ld bytes, time: %ld\n", key,
 	  friendsidstring, strlen (friendsidstring), ti);
 
   g_strlcpy (serverid, friendsidstring, sizeof (serverid));
diff -Nurd -x*~ gpsdrive-2.08pre12.orig/src/gpsdrive.c gpsdrive-2.08pre12/src/gpsdrive.c
--- gpsdrive-2.08pre12.orig/src/gpsdrive.c	Sun Feb  8 12:16:25 2004
+++ gpsdrive-2.08pre12/src/gpsdrive.c	Wed Feb 18 02:40:22 2004
@@ -1994,7 +1994,7 @@
   "1000000", "1500000", "2000000", "3000000", "5000000", "7500000",
   "10000000", "15000000", "20000000", "30000000", "50000000", "75000000"
 };
-gint nlist[] = { 1000, 1500, 2000, 3000, 5000, 7500,
+gint scalelist[] = { 1000, 1500, 2000, 3000, 5000, 7500,
   10000, 15000, 20000, 30000, 50000, 75000,
   100000, 150000, 200000, 300000, 500000, 750000,
   1000000, 1500000, 2000000, 3000000, 5000000, 7500000,
@@ -3161,7 +3161,7 @@
 	    g_print ("\n!!bigp:%d, e: %d!!", bigp, e);
 	  g_strlcat (big, buffer, MAXBIG);
 	  if (mydebug)
-	    g_print (", strlen big:%d", strlen (big));
+	    g_print (", strlen big:%ld", strlen (big));
 	  bigp += e;
 	  bigpGSA = bigpRME = bigpGSV = bigpGGA = bigp;
 
@@ -8815,7 +8815,7 @@
 scaler_cb (GtkAdjustment * adj, gdouble * datum)
 {
   gchar s2[100];
-  scalewanted = nlist[(gint) rint (adj->value)];
+  scalewanted = scalelist[(gint) rint (adj->value)];
   g_snprintf (s2, sizeof (s2), "1:%d", scalewanted);
   gtk_label_set_text (GTK_LABEL (l8), s2);
   if (debug)
diff -Nurd -x*~ gpsdrive-2.08pre12.orig/src/gpsdrive.h gpsdrive-2.08pre12/src/gpsdrive.h
--- gpsdrive-2.08pre12.orig/src/gpsdrive.h	Fri Feb  6 09:55:54 2004
+++ gpsdrive-2.08pre12/src/gpsdrive.h	Wed Feb 18 02:40:22 2004
@@ -79,7 +79,7 @@
 #include <gmodule.h>
 #include <gdk/gdktypes.h>
 #include "gtk/gtk.h"
-#include "mysql.h"
+#include <mysql/mysql.h>
 #include "gpsproto.h"
 
 /*  adapt this section for the size of your screen */
diff -Nurd -x*~ gpsdrive-2.08pre12.orig/src/gpssql.c gpsdrive-2.08pre12/src/gpssql.c
--- gpsdrive-2.08pre12.orig/src/gpssql.c	Sun Feb  8 12:16:25 2004
+++ gpsdrive-2.08pre12/src/gpssql.c	Wed Feb 18 02:40:22 2004
@@ -181,7 +181,7 @@
 ******************************************************************/
 
 
-#include "mysql.h"
+#include <mysql/mysql.h>
 
 
 
